QGIS Application - Bug report #7647
Ineffective encoding listbox in OGR layer properties dialog
2013-04-18 06:55 PM - Minoru Akagi

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 16567
Description

OGR layer encoding can be set to only UTF-8 if OGR TestCapability(OLCStringsAsUTF8) returns true (e.g. KML), but the encoding
listbox in the vector layer properties dialog is always enabled with OGR layer. | think it is preferable to make the listbox grayed out if user's
selection will not be applied.

History

#1 - 2013-04-19 08:39 PM - Minoru Akagi
- File SelectEncodingCapability.patch added

Added a patch

#2 - 2013-04-22 01:33 PM - Borys Jurgiel
- Resolution set to fixed
- Status changed from Open to Closed

Applied in master.

Files

SelectEncodingCapability.patch 4.32 KB 2013-04-19 Minoru Akagi
